diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index 04d1e6be600e..87e32624522e 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -4340,8 +4340,10 @@ static int patch_alc269(struct hda_codec *codec)
 		}
 		if (err < 0)
 			goto error;
+#if 0
 		spec->init_hook = alc269_fill_coef;
 		alc269_fill_coef(codec);
+#endif
 		break;
 
 	case 0x10ec0280:
@@ -4373,10 +4375,12 @@ static int patch_alc269(struct hda_codec *codec)
 		break;
 	}
 
+#if 0
 	if (snd_hda_codec_read(codec, 0x51, 0, AC_VERB_PARAMETERS, 0) == 0x10ec5505) {
 		spec->has_alc5505_dsp = true;
 		spec->init_hook = alc5505_dsp_init;
 	}
+#endif
 
 	/* automatic parse from the BIOS config */
 	err = alc269_parse_auto_config(codec);
@@ -4387,12 +4391,14 @@ static int patch_alc269(struct hda_codec *codec)
 		set_beep_amp(spec, 0x0b, 0x04, HDA_INPUT);
 
 	codec->patch_ops = alc_patch_ops;
+#if 0
 #ifdef CONFIG_PM
 	codec->patch_ops.suspend = alc269_suspend;
 	codec->patch_ops.resume = alc269_resume;
 #endif
 	if (!spec->shutup)
 		spec->shutup = alc269_shutup;
+#endif
 
 	snd_hda_apply_fixup(codec, HDA_FIXUP_ACT_PROBE);
 
